Name:         xcalentool
License:    Distributable
Group:        Office
Autoreqprov:  on
Version:      2.3
Release:      1mdk
Summary:      A Calendar tool based on OpenLook
URL: ftp://ftp.x.org/contrib/office
Source: xcalentool-2.3.tar.gz
Patch: xcalentool-2.3.patch
BuildRoot:    %_tmppath/%{name}-build 

%description
Calentool is a day/week/month/year-at-glance tool for Workstations
and X terminals.  The windowed display interface uses XView (2.0 or 3.0)

%prep
%setup  -q
%patch -b .mdk

%build
xmkmf
make clean
make MAILPROG="/bin/mail" PRINT_CMD="lpr" DATELIB_DIR="%{_prefix}/X11R6/lib/X11/calentool"

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT
export  DESTDIR=$RPM_BUILD_ROOT
make install DATELIB_DIR="%{_prefix}/X11R6/lib/X11/calentool" HELP_DEST="%{_infodir}"
mkdir -p $RPM_BUILD_ROOT/%{_mandir}
make install.man MANPATH=%{_mandir} DESTDIR=$RPM_BUILD_ROOT

# menu
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
install -d $RPM_BUILD_ROOT%{_menudir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
install -m 644  std_icon.xbm $RPM_BUILD_ROOT%{_iconsdir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): needs="X11" icon="std_icon.xbm" section="Office/Time management" \
title="Calentool" longtitle="Open Look style calendar program" command="/usr/X11R6/bin/calentool"
EOF

%post
## menu
%update_menus
%_install_info calentool.info

%preun
%_remove_install_info calentool.info

%postun
## menu
%clean_menus


%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-, root, root)
%doc README* PATCHLOG INSTALL Ct.Xdefaults COPYRIGHT Bugs cm2calentool.el
%{_prefix}/X11R6/bin/calentool
%{_prefix}/X11R6/bin/calencheck
%{_prefix}/X11R6/bin/mt2ct
%{_prefix}/X11R6/bin/month2ct
%{_prefix}/X11R6/bin/cal2ct
%{_prefix}/X11R6/lib/X11/calentool/*
%{_infodir}/*.bz2
%{_mandir}/man1/*.bz2
%{_menudir}/%{name}
%{_iconsdir}/*.xbm

%changelog
* Fri Sep 14 2001 Philippe Libat <philippe@mandrakesoft.com> 2.3-1mdk
- mandrakization

